﻿#targetengine "t_operations";

/*******	
    (c) Eugenyus, v 1.0, 2012 
    Eugenyus@mail.ru
    http://www.facebook.com/Eugenyus.Budantsev
    http://my.mail.ru/mail/eugenyus/ 
    http://forum.rudtp.ru/member.php?u=22555
	*******/

//Общие настройки
var myOrientation = "row"; //Размещение элементов окна (строчное — "row"; колоночное — "column")
//var myOrientation = "column"; //Размещение элементов окна (строчное — "row"; колоночное — "column")
var myAlignment = "left"; //Выравнивание элементов в окне (влияет на вид при вертикальной ориентации, если ширина кнопок разная)
var myMargins = 2; // Отступы кнопок от границ панели (здесь и дальше — в пикселях)
var mySpacing = 2; // Расстояние между кнопками
var sizeOfBut = 20; // Исходный размер кнопок
var minButton = []; //Массив кнопок для сворачивания панелей (наполняется функцией addMinBut(), вызываемой для каждой панели

/******                           Создание окна                       ******/
var w = new Window ("palette");
w.orientation = myOrientation; //Размещение элементов окна (строчное/колоночное)
w.margins = myMargins*2; //Отступы панелей от границ окна
w.spacing = mySpacing*4;  //Расстояние между панелями
w.alignChildren = myAlignment;  //Выравнивание (влево/вправо)



/*                               Создание кнопок                            */

//Функция добавления панели
function addPan (panAlign,panOrient,panMargins,panSpacing){
	var curPan = w.add("panel");
	curPan.alignChildren = panAlign;
	curPan.orientation = panOrient;
	curPan.margins = panMargins;
	curPan.spacing = panSpacing;
	return curPan;
	}

//Кнопка сворачивания панели
function addMinBut (curPan,curPanWidth,curPanHeight,curHelp){
	minButton[minButton.length] = curPan.add("button",undefined,"|");
	with (minButton[minButton.length-1]){
		helpTip = curHelp;
		maximumSize.width = sizeOfBut-6;
		minimumSize.height = sizeOfBut;
		}
	minButton[minButton.length-1].onClick = function(){
		curPan.maximumSize.width = (curPan.maximumSize.width ^= sizeOfBut+3) ? sizeOfBut+3 : curPanWidth;
		curPan.maximumSize.height = (curPan.maximumSize.height ^= sizeOfBut+8) ? sizeOfBut+8 : curPanHeight;
		w.layout.layout(true);
		}
	}

//Функция добавления рабочих кнопок
function addWorkButton (curPan,butName,butW,butH){
	var curBut = curPan.add("button",undefined,butName);
	curBut.maximumSize.width = sizeOfBut+butW;
	curBut.minimumSize.height = sizeOfBut+butH;
	return curBut;
	}



//Группа кнопок 1
var pan1 = addPan (myAlignment,myOrientation,myMargins,mySpacing);
var pan1width = pan1.maximumSize.width;
var pan1height = pan1.maximumSize.height;
addMinBut(pan1,pan1width,pan1height,"common");

//*
//Группа кнопок 2
var pan2 = addPan (myAlignment,myOrientation,myMargins,mySpacing);
var pan2width = pan2.maximumSize.width;
var pan2height = pan2.maximumSize.height;
addMinBut(pan2,pan2width,pan2height,"PAN2");
//*/

/*
//Группа кнопок 3
var pan3 = addPan (myAlignment,myOrientation,myMargins,mySpacing);
var pan3width = pan3.maximumSize.width;
var pan3height = pan3.maximumSize.height;
addMinBut(pan3,pan3width,pan3height,"PAN3");
//*/

/*
//Группа кнопок 4
var pan4 = addPan (myAlignment,myOrientation,myMargins,mySpacing);
var pan4width = pan4.maximumSize.width;
var pan4height = pan4.maximumSize.height;
addMinBut(pan4,pan4width,pan4height,"PAN4");
//*/

//*
//Группа кнопок 5
var pan5 = addPan (myAlignment,myOrientation,myMargins,mySpacing);
var pan5width = pan5.maximumSize.width;
var pan5height = pan5.maximumSize.height;
addMinBut(pan5,pan5width,pan5height,"Layout");
//*/



/*                               Добавление кнопок и действия, выполняемые по их нажатию                            */



//Действия кнопок группы 1
//Параметры в скобках: принадлежность кнопки группе, текст на кнопке, увеличить ширину кнопки на ... пикс., увеличить высоту кнопки на ... пикс.
var but1_1 = addWorkButton (pan1,"«»",0,0);
but1_1.onClick = function (){
	w.text = "Занято...";
	var myDoc = app.activeDocument;
	var mySel = myDoc.selection[0];
	mySel.insertionPoints[-1].contents = "»";
	mySel.insertionPoints[0].contents = "«";
	w.text = "Свободно";
	app.activate();
	}

var but1_2 = addWorkButton (pan1,"\"\"",0,0);
but1_2.onClick = function (){
	w.text = "Занято...";
	var myDoc = app.activeDocument;
	var mySel = myDoc.selection[0];
	app.findGrepPreferences = app.changeGrepPreferences = null;
	app.findGrepPreferences.findWhat = "(\\s)\"";
	app.changeGrepPreferences.changeTo = "$1«";
	mySel.changeGrep();
	app.findGrepPreferences.findWhat = "\"(\\s)";
	app.changeGrepPreferences.changeTo = "»$1";
	mySel.changeGrep();
	w.text = "Свободно";
	app.activate();
	}

var but1_3 = addWorkButton (pan1,"()",0,0);
but1_3.onClick = function (){
	w.text = "Занято...";
	app.activeDocument.selection[0].insertionPoints[-1].contents = ")";
	app.activeDocument.selection[0].insertionPoints[0].contents = "(";
	w.text = "Свободно";
	app.activate();
	}


//Действия кнопок группы 2
//*
var but2_1 = addWorkButton (pan2,"2_1",10,0);
but2_1.onClick= function(){
	w.text = "Занято...";
    //DO SOMETHING
	w.text = "Свободно";
	app.activate();
	}
//*/

//*
var but2_2 = addWorkButton (pan2,"2_2",10,0);
but2_2.onClick =function(){
	w.text = "Занято...";
	//DO SOMETHING
	w.text = "Свободно";
	app.activate();
	}
//*/


//Действия кнопок группы 3
/*
var but3_1 = addWorkButton (pan3,"3_1",10,0);
but3_1.onClick =function(){
	w.text = "Занято...";
	//DO SOMETHING
	w.text = "Свободно";
	app.activate();
	}
//*/

/*
var but3_2 = addWorkButton (pan3,"3_2",10,0);
but3_2.onClick = function(){
	w.text = "Занято...";
	//DO SOMETHING
	w.text = "Свободно";
	app.activate();
	}
//*/


//Действия кнопок группы 4
/*
var but4_1 = addWorkButton (pan4,"4_1",10,0);
but4_1.onClick =function(){
	w.text = "Занято...";
	//DO SOMETHING
	w.text = "Свободно";
	app.activate();
	}
//*/

/*
var but4_2 = addWorkButton (pan4,"4_2",10,0);
but4_2.onClick = function(){
	w.text = "Занято...";
	//DO SOMETHING
	w.text = "Свободно";
	app.activate();
	}
//*/


//Действия кнопок группы 5
//*
var but5_1 = addWorkButton (pan5,"SepPrw",30,0);
but5_1.onClick =function(){
	w.text = "Занято...";
	app.panels.itemByName("Separations Preview").visible = !app.panels.itemByName("Separations Preview").visible;
	app.activeWindow.overprintPreview = app.panels.itemByName("Separations Preview").visible;
	w.text = "Свободно";
	app.activate();
	}
//*/

//*
var but5_2 = addWorkButton (pan5,"TabSetup",40,0);
but5_2.onClick = function(){
	w.text = "Занято...";
	w.text = "Свободно";
	app.menuActions.item("$ID/Table Setup...").invoke(); 
	}
//*/


w.show();